public class Lab {
    private Student[] students = new Student[10];
    private double avg;
    private String day;
    private int capacity;
    private int currentSize = 0;

    public Lab(int cap, String d) {
        capacity = cap;
        day = d;
    }

    public void enrollStudent(Student std) {
        if (currentSize < capacity) {
            students[currentSize] = std;
            currentSize++;
            setStudents(students);
        } else {
            System.out.println("Lab is full!!!");
        }
    }

    public void printLab() {
        System.out.println("Average = " + getAvg());
        System.out.println("Capacity = " + capacity);
        System.out.println("Day = " + day);
        System.out.println("Current size = " + currentSize);
    }

    public Student[] getStudents() {
        return students;
    }

    public void setStudents(Student[] students) {
        this.students = students;
        capacity = students.length;
    }

    public double calculateAvg() {
        double sum = 0;
        for(int i = 0; i < 3; i++){
            sum += students[i].getGrade();
        }
        return (double)sum / currentSize;
    }

    public double getAvg(){
        return calculateAvg();
    }

    public String getDay() {
        return day;
    }
    public void setAvg(String day){
        this.day = day;
    }

    public int getCapacity() {
        return capacity;
    }
    public void setCapacity(int cap){
        capacity = cap;
    }

    public void printMember(){
        double sum = 0;
        int i;
        for(i = 0; i < currentSize; i++){
            System.out.println((i+1)+")fName:"+students[i].getFirstName());
            System.out.println((i+1)+")lName:"+students[i].getLastName());
            System.out.println((i+1)+")ID:"+students[i].getId());
            System.out.println((i+1)+")grade:"+students[i].getGrade());
            sum += students[i].getGrade();
        }
        double v = sum / i;
        System.out.println("Average of : "+v);
    }
}
