public class University {
    private Lab[] lab = new Lab[20];
    private double average;
    private int currentLab = 0;
    private String name;
    private int sum;

    public University(String name, int sum) {
        this.name = name;
        this.sum = sum;
    }

    public void enrollLab(Lab c) {
        if (currentLab < sum) {
            lab[currentLab] = c;
            currentLab++;
            setLab(lab);
        } else {
            System.out.println("Lab is full!!!");
        }
    }

    public void setLab(Lab[] lab) {
        this.lab = lab;
    }
    public Lab[] getLab() {
        return lab;
    }

    public int getCurrentLab() {
        return currentLab;
    }
    public void setCurrentLab(int currentLab) {
        this.currentLab = currentLab;
    }

    public double calculating() {
        double sum = 0;
        for(int i = 0; i < currentLab; i++){
            sum += lab[i].getAvg();
        }

        return (double)sum / currentLab;
    }
    public double getAverage() {
        return calculating();
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public int getSum() {
        return sum;
    }

    public void setSum(int sum) {
        this.sum = sum;
    }


}
